Update Users
curl --request PUT \
--url https://api.coralogix.com/mgmt/openapi/5/aaa/teams/v2/{team_id}/members \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"userAccountId": 1,
"userTemplate": {
"accessType": {
"accessType": "<string>",
"permanentAccess": {},
"temporaryAccess": {
"expireAt": "2021-01-01T00:00:00.000Z"
}
},
"allowedLoginMode": [],
"firstName": "<string>",
"lastName": "<string>",
"username": "<string>"
}
}
'import requests
url = "https://api.coralogix.com/mgmt/openapi/5/aaa/teams/v2/{team_id}/members"
payload = {
"userAccountId": 1,
"userTemplate": {
"accessType": {
"accessType": "<string>",
"permanentAccess": {},
"temporaryAccess": { "expireAt": "2021-01-01T00:00:00.000Z" }
},
"allowedLoginMode": [],
"firstName": "<string>",
"lastName": "<string>",
"username": "<string>"
}
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userAccountId: 1,
userTemplate: {
accessType: {
accessType: '<string>',
permanentAccess: {},
temporaryAccess: {expireAt: '2021-01-01T00:00:00.000Z'}
},
allowedLoginMode: [],
firstName: '<string>',
lastName: '<string>',
username: '<string>'
}
})
};
fetch('https://api.coralogix.com/mgmt/openapi/5/aaa/teams/v2/{team_id}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"userAccountIds": [
1
]
}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}{
"code": 349,
"message": "<string>"
}Users Management Service
Update Users
Updates team members for the specified team.
Update Users
Authorizations
API key authentication
Path Parameters
Team ID containing the users to update
Required range:
x >= 0Body
application/json
Response
Response confirming the successful update of users. Contains the user account IDs of all users that were updated.
List of user account IDs for the successfully updated users
List of user account IDs for the successfully updated users
Required range:
x >= 0Was this page helpful?